Subject: Re: [PATCH] tg export: implement skipping empty patches for quilt mode

From: Uwe Kleine-König <[email-masked]>
Date: Tue, 25 Nov 2008 21:54:40 +0100

On Tue, Nov 25, 2008 at 09:45:31AM +0100, martin f krafft wrote:
> also sprach Uwe Kleine-König <[email-masked]> [2008.11.24.2256 +0100]:
> > +skipempty=false
> 
> Any reason not to make it default? Why do we even need this option?
> Do empty quilt files ever have a purpose?
My first implementation did it unconditionally because I think this
should be the default, too.  Then I found in the tg-export section of
README:

	TODO: -n option to prevent exporting of empty patches

I'm not sure if this was meant for collapse or quilt or both.  I assumed
the last and implemented -n as suggested.

Best regards
Uwe